JobControllerQueryJobsCount Method |
POST /Job/Count/
Gets the number of jobs with the given information.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Count")]
public IActionResult QueryJobsCount(
[FromBodyAttribute] GetJobsOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("Count")>
Public Function QueryJobsCount (
<FromBodyAttribute> options As GetJobsOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Count")]
IActionResult^ QueryJobsCount(
[FromBodyAttribute] GetJobsOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Count")>]
member QueryJobsCount :
[<FromBodyAttribute>] options : GetJobsOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsGetJobsOptions
An object that carries all needed information about the job count that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultAn
Int32, or a status code indicating the problem.
See Also